<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class StudentProfile extends LegacyModel
{
    protected $table = 'studentsprofile';

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class, 'studentid');
    }

    public function group(): BelongsTo
    {
        return $this->belongsTo(StudentGroup::class, 'classid');
    }
}
